package com.zksy.web.controller.common;

import com.zksy.system.basicData.domain.Captcha;
import com.zksy.zksyApplication;
import junit.framework.TestCase;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest(classes = zksyApplication.class)
@RunWith(SpringRunner.class)
public class CaptchaSliderControllerTest extends TestCase {
    @Autowired
    private CaptchaSliderController captchaSliderController;
    @Test
    public void testGetCaptcha() {
        long l = System.currentTimeMillis();
        System.out.println(captchaSliderController.getCaptcha(new Captcha()));
        long a = System.currentTimeMillis();
        System.out.println(a-l);
    }
}